Subject: mariadb-10.5.8 build failing
From: Bone Baboon <[email-masked]>
To: [email-masked]
Date: Sat, 01 May 2021 21:18:36 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

I have tried building mariadb with several flag combination and each
time it fails. I have tried `--max-jobs=2 --cores=8`, `--max-jobs=1
--cores=2` and `--max-jobs=1 --cores=1`.

On an x86_64 computer when I run `guix build --no-substitutes
--max-jobs=1 --cores=1 --keep-failed mariadb` I get this error.

```
builder for `/gnu/store/0pw596l5qhms5hxg5m0yr2z4rdj2m3z0-mariadb-10.5.8.drv' failed with exit code 1
build of /gnu/store/0pw596l5qhms5hxg5m0yr2z4rdj2m3z0-mariadb-10.5.8.drv failed
View build log at '/var/log/guix/drvs/0p/w596l5qhms5hxg5m0yr2z4rdj2m3z0-mariadb-10.5.8.drv.bz2'.
guix build: error: build of `/gnu/store/0pw596l5qhms5hxg5m0yr2z4rdj2m3z0-mariadb-10.5.8.drv' failed
```

`guix describe` outputs:

```
Generation 14   Apr 30 2021 20:16:08    (current)
  guix 73b6660
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 73b6660cd1c4f77132121ea9bce2672d108dfe22
```

The build log says that this one test is failing:
perfschema.socket_connect

The build log is attached.